std::__detector< _Default, _AlwaysVoid, _Op, _Args > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type = _Default
using | value_t = false_type

## Detailed Description

template<typename _Default, typename _AlwaysVoid, template< typename... > class _Op, typename... _Args>
struct std::__detector< _Default, _AlwaysVoid, _Op, _Args >

Implementation of the detection idiom (negative case).

Definition at line 2413 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Default , typename _AlwaysVoid , template< typename... > class _Op, typename... _Args>

using std::__detector< _Default, _AlwaysVoid, _Op, _Args >::type = _Default

Definition at line 2416 of file type_traits.

## value_t

template<typename _Default , typename _AlwaysVoid , template< typename... > class _Op, typename... _Args>

using std::__detector< _Default, _AlwaysVoid, _Op, _Args >::value_t = false_type

Definition at line 2415 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits